.custom-control{
	margin-right: 0;
	margin-bottom: 0;

	.custom-control-input{
		&:focus~.custom-control-indicator {
			box-shadow: none;
		}
		&:checked~.custom-control-indicator{
			color: #fff;
			background-color: $primary;
			box-shadow: 0 0 0 1px rgba($primary, .9);
		}
		&:hover~.custom-control-indicator {
			color: #fff;
			background-color: lighten($primary, 5%);
			box-shadow: 0 0 0 1px rgba($primary, .9);
		}
		&:active~.custom-control-indicator {
			// border-radius: 5px;
			box-shadow: 0 0 0 10px rgba($primary, .5);
		}
	}
	.custom-control-indicator{
	    box-shadow: 0 0 0 1px #dedede;
	    border-radius: 1px;
	    -webkit-transition: all .2s ease;
	    -moz-transition: all .2s ease;
	    transition: all .2s ease;
	}
	.custom-control-description{
		//
	}
	
	/**
	 * Custom Radio
	 */
	&.custom-radio{
		.custom-control-indicator{
			border-radius: 50%;
			box-shadow: 0 0 0 1px #dedede;
			-webkit-transition: all .2s ease;
			-moz-transition: all .2s ease;
			transition: all .2s ease;
		}
	}
}

/**
 * Custom Select
 */
.custom-select{
	padding: 0.7em 2em 0.7em 1em;
    border-radius: 2px;
    border-color: #d3d7e0;
    background-color: #fdfdfe;
}
select{
    height: unset !important;    
}

/**
 * Custom Ticker
 */
.custom-ticker{
	padding: .8rem 1.5rem .8rem 3.3rem;
	border-radius: 2px;
	border: 1px solid #dedede;
	background-color: #fdfdfd;

	.custom-control-indicator{
		left: 1rem;
		top: .8rem;
		border-radius: 50%;
		width: 1.5rem;
		height: 1.5rem;
	}
	.custom-control-description{
		display: block;
		text-align: left;
	}
}